Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QTabletEvent.TabletDevice

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QTabletEvent.TabletDevice

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QTabletEvent

    public static final class QTabletEvent.TabletDevice

extends java.lang.Enum
implements QtEnumerator

This enum defines what type of device is generating the event.

See Also:
  Serialized Form

Field Summary
`static QTabletEvent.TabletDevice` | `Airbrush` An airbrush
`static QTabletEvent.TabletDevice` | `FourDMouse` A 4D Mouse.
`static QTabletEvent.TabletDevice` | `NoDevice` No device, or an unknown device.
`static QTabletEvent.TabletDevice` | `Puck` A Puck (a device that is similar to a flat mouse with a transparent circle with cross-hairs).
`static QTabletEvent.TabletDevice` | `RotationStylus` A special stylus that also knows about rotation (a 6D stylus).
`static QTabletEvent.TabletDevice` | `Stylus` A Stylus.
`static QTabletEvent.TabletDevice` | `XFreeEraser`

Method Summary
`static QTabletEvent.TabletDevice` | `resolve(int value)` Returns the TabletDevice constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QTabletEvent.TabletDevice` | `valueOf(java.lang.String name)`
`static QTabletEvent.TabletDevice[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### NoDevice

    public static final QTabletEvent.TabletDevice NoDevice

  No device, or an unknown device.

### Puck

    public static final QTabletEvent.TabletDevice Puck

  A Puck (a device that is similar to a flat mouse with a transparent circle with cross-hairs).

### Stylus

    public static final QTabletEvent.TabletDevice Stylus

  A Stylus.

### Airbrush

    public static final QTabletEvent.TabletDevice Airbrush

  An airbrush

### FourDMouse

    public static final QTabletEvent.TabletDevice FourDMouse

  A 4D Mouse.

### XFreeEraser

    public static final QTabletEvent.TabletDevice XFreeEraser

### RotationStylus

    public static final QTabletEvent.TabletDevice RotationStylus

  A special stylus that also knows about rotation (a 6D stylus).

Method Detail

### values

    public static QTabletEvent.TabletDevice[] values()

### valueOf

    public static QTabletEvent.TabletDevice valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QTabletEvent.TabletDevice resolve(int value)

  Returns the TabletDevice constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD